| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_IS_MULTI_D

BOOST_VMD_IS_MULTI_D — Determines if the sequence has more than one element, referred to as a multi-element sequence.

## Synopsis

    // In header: <boost/vmd/is_multi.hpp>

    BOOST_VMD_IS_MULTI_D(d, sequence)

## Description

d = The next available BOOST_PP_WHILE iteration. sequence = a sequence

returns = 1 if the sequence is a multi-element sequence, else returns 0.

If the size of a sequence is known it is faster comparing that size to be greater than one to find out if the sequence is multi-element. But if the size of the sequence is not known it is faster calling this macro than getting the size and doing the previously mentioned comparison in order to determine if the sequence is multi-element or not.